<?php
ob_start();
$id_proyecto = trim($_GET['id_proyecto']);
/*$conexion = mysql_connect('localhost', 'root', 'root')or die(mysql_error());//BASE DE DATOS LOCAL
$postventa = 'postventa';*/
$conexion = mysql_connect('190.196.156.120', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$postventa = 'pvitls_postventa';
// //BASES DE DATOS
require_once dirname(__FILE__).'/../Classes/PHPExcel.php';
$objPHPExcel = new PHPExcel();
$objPHPExcel->setActiveSheetIndex(0)
->setCellValue('A1','Rut *')
->setCellValue('B1', 'Nombre')
->setCellValue('C1', 'Apellido Paterno')
->setCellValue('D1', 'Apellido Materno')
->setCellValue('E1', 'Email')
->setCellValue('F1', 'Celular')
->setCellValue('G1', 'Telefono Oficina')
->setCellValue('H1', 'Dirección');
$rowcount = 1;
mysql_select_db($postventa,$conexion)or die(mysql_error());
$queryproyecto ="SELECT pro.PROYECTO,
	                    e.ETAPA,
	                    mc.ABREVIATURA AS EDIFICIO,
	                    uc.UNIDADCONSTRUCCION,
	                    m.ABREVIATURA,
	                    NUMERO,
	                    OBS_PREENTREGA,
	                    OBS_ENTREGA,
	                    PISO,
	                    FECHA_ENTREGA, 
	                    FECHA_PREENTREGA, 
	                    FECHA_PROMESA, 
	                    FECHA_ESCRITURA,
	                    per.RUT,
	                    per.DIRECCION,
	                    per.EMAIL,
	                    pern.NOMBRE,
	                    pern.APE_PATERNO,
	                    pern.APE_MATERNO,
	                    pern.CELULAR,
	                    pern.TEL_OFICINA
	                    FROM tblpropiedades p
	                    INNER JOIN tblmodelopropiedades m ON m.ID_MODELO = p.ID_MODELO
	                    INNER JOIN tblconfiguracionetapas ce ON ce.ID_DISENOETAPA = p.ID_DISENOETAPA
	                    INNER JOIN tbletapas e ON e.ID_ETAPA = ce.ID_ETAPA
	                    INNER JOIN tblproyectos pro ON pro.ID_PROYECTO = e.ID_PROYECTO
	                    INNER JOIN tblmodelounidadconstrucciones mc ON mc.ID_MODELOUNIDADCONSTRUCCION = ce.ID_MODELOUNIDADCONSTRUCCION
	                    INNER JOIN tblunidadconstrucciones uc ON uc.ID_UNIDADCONSTRUCCION = ce.ID_UNIDADCONSTRUCCION
	                    LEFT JOIN tblpropietarios prp ON prp.ID_PROPIEDAD = p.ID_PROPIEDAD
	                    LEFT JOIN tblpersonas per ON per.ID_PERSONA = prp.ID_PERSONA
	                    left JOIN tblpernaturales pern ON pern.ID_PERNATURAL = per.ID_PERSONA
	                    WHERE pro.ID_PROYECTO = '$id_proyecto'"; 

$resultado = mysql_query($queryproyecto,$conexion);
// CELDAS
$objPHPExcel->setActiveSheetIndex(0)
//DATOS DEL DEPARTAMENTO
->setCellValue('A1','Proyecto*')
->setCellValue('B1', 'Etapa *')
->setCellValue('C1', 'Edificio *')
->setCellValue('D1', 'Numero *')
->setCellValue('E1', 'Modelo *')
->setCellValue('F1', 'Piso')
->setCellValue('G1', 'FecEscritura')
->setCellValue('H1','Rut*')
->setCellValue('I1', 'Nombre')
->setCellValue('J1', 'Apellido Paterno')
->setCellValue('K1', 'Apellido Materno')
->setCellValue('L1', 'Email')
->setCellValue('M1', 'Celular')
->setCellValue('N1', 'Telefono Oficina')
->setCellValue('O1', 'Dirección');		
$objPHPExcel->getActiveSheet()->freezePane('H1');
$rowcount = 1;

while($fila = mysql_fetch_array($resultado)){
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(0, $rowcount+1, utf8_encode($fila['PROYECTO']));   
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(1, $rowcount+1, utf8_encode($fila['ETAPA']));  
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(2, $rowcount+1, utf8_encode($fila['EDIFICIO']));  
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(3, $rowcount+1, utf8_encode($fila['NUMERO'])); 
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(4, $rowcount+1, utf8_encode($fila['ABREVIATURA']));  
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(5, $rowcount+1, utf8_encode($fila['PISO']));  
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(6, $rowcount+1, utf8_encode($fila['FECHA_ESCRITURA']));  
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(7, $rowcount+1,utf8_encode( $fila['RUT']));  
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(8, $rowcount+1, utf8_encode($fila['NOMBRE']));  
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(9, $rowcount+1, utf8_encode($fila['APE_PATERNO']));  
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(10, $rowcount+1, utf8_encode($fila['APE_MATERNO']));  
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(11, $rowcount+1, utf8_encode($fila['EMAIL']));  
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(12, $rowcount+1, utf8_encode($fila['CELULAR']));  
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(13, $rowcount+1, utf8_encode($fila['TEL_OFICINA']));  
		$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(14, $rowcount+1, utf8_encode($fila['DIRECCION']));  
	    $rowcount++;
}
	$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('G')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('H')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('I')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('J')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('K')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('L')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('M')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('N')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->getColumnDimension('O')->setAutoSize(true);
	$objPHPExcel->getActiveSheet()->setTitle('Actualizar Departamentos');
	$objPHPExcel->setActiveSheetIndex(0);
	header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="Carga Proyecto.xls"');
	header('Cache-Control: max-age=0');
	header('Cache-Control: max-age=1');
	header ('Cache-Control: cache, must-revalidate');
	header ('Pragma: public');
	$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
	$objWriter->save('php://output');
exit;